Bug 100681 - 'copy link location' menu entry missing in ftp mode
'copy link location' menu entry missing in ftp mode
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-24 05:47 EDT by Karsten Hopp
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 15:47:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2003-07-24 05:47:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.4) Gecko/20030701

Description of problem:
The menu entry 'copy link location' is missing in konqueror's FTP mode,
it is available in HTTP mode. That function is really useful when you browse a
FTP server with konquerer but would like to download files to another machine (a
buildmachine maybe) with wget/ncftp/whatever.

Version-Release number of selected component (if applicable):
kdebase-3.1.2-9

How reproducible:
Always

Steps to Reproduce:
1. open a website in konqueror and select a link with the right mousebutton
2. check that the 'copy link location' is there
3. open a ftp site in konqueror and select a link with the right mousebutton

4. look for a means to copy the URL of a file into the cut&paste buffer, it's
not possible at the moment.
    

Additional info:
Comment 1 Petr Šimon 2005-02-03 09:15:24 EST
Simple selecting and copy does work? I assume that this isn't really a bug.
Changing to NEEDINFO.
Comment 2 Karsten Hopp 2005-02-03 09:53:20 EST
No, that isn't enough. 
Example: 
I usually start konqueror locally and look for package updates,
but I'm working on a remote machine with my CVS repository.
Select and copy would download the new package to my local machine and I would
have to transfer the package to the remote machine manually.
In konquerors http mode I just select 'copy link location' and paste that
to a wget or ncftpget commandline on the remote machine.

In the first case I'd transfer the file twice vs. once with the second case.
Comment 3 Petr Šimon 2005-02-04 01:43:47 EST
I understand your reason, but you can actually paste it to wget on commandline.
I do it quite frequently, just by selecting the item, either CTRL+C or Copy from
menu and then paste it by SHIFT+INSERT into Konsole. Perhaps I am missing
something in your argument. 
Comment 4 John Thacker 2006-10-29 15:47:02 EST
Closing per lack of response to previous comment.  FC3 and FC4 are supported for
security purposes only by Fedora Legacy.  If the bug is a security bug, please
reopen and assign to Fedora Legacy.  If the bug still occurs in FC5 or FC6,
please reopen and assign to the appropriate version.  Thank you.

Note You need to log in before you can comment on or make changes to this bug.